# Name Records

### Call the service to get the parsing record

```javascript
import { Services } from '@jazdid/jaz-did-sdk';

// Request parameter combination 1, keyType is DomainName
const data1 = {
  keyType: 'DomainName',
  registrar: registrarAddress,
  domainName: `${domainName}.bab`,
  chain: 'bnb',
};

// Request parameter combination 2, keyType is Address
const data2 = {
  keyType: 'Address',
  registrar: registrarAddress,
  address: privateAaccount,
  chain: 'bnb',
};

await Services.domainService.resolveList(data1);
```

### Supports the key of parsing records

```
| 'avatar'
| 'url'
| 'description'
| 'keywords'
| 'email'
| 'com.twitter'
| 'com.discord'
| 'org.telegram'
| 'com.medium'
| 'com.instagram'
| 'com.github';
```

### Call the contract to get parsing records (batch)

```javascript
import { evm } from '@jazdid/jaz-did-sdk';

const result = await evm.resolver.getRecords({
    resolverAddress,
    registrarAddress,
    domainName,
    record: ['email', 'avatar'],
}, {chainId});

console.log(JSON.stringify(result));

// {"email":"123456@gmail.com","avatar":""}
```

### Call the contract to get the parsing record (single)

```javascript
import { evm } from '@jazdid/jaz-did-sdk';

const result = await evm.resolver.getRecord({
    resolverAddress,
    registrarAddress,
    domainName,
    record: 'email',
}, {chainId});

console.log(result);

// 123456@gmail.com
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jazdid.com/developers/name-records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
